Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_LibraryService

    java.lang.Object

      |

      +--oracle.ifs.server.S_LibraryService

All Implemented Interfaces:
  oracle.ifs.server.DatabaseService, IfsEventHandler, oracle.ifs.server.S_LibraryServiceInterface, Traceable

public final class S_LibraryService
extends java.lang.Object
implements oracle.ifs.server.S_LibraryServiceInterface, oracle.ifs.server.DatabaseService, IfsEventHandler, Traceable

S_LibraryService is the iFS repository service.

An S_LibraryService hosts one or more user sessions, S_LibrarySessions. In addition to performing session management, the service provides a set of subservices shared by the sessions.

A Java VM can have one or more S_LibraryServices, each identified by a unique name. In establishing a connection, the user specifies the name of the desired service.

Application developers rarely need to operate on S_LibraryService. However, a reference to the service can be obtained by invoking the `getService` method of S_LibrarySession.

Method Summary
`java.lang.Long` | `getId()` Gets the id of this S_LibraryService.
`long` | `getSchemaVersionNumber()` Gets the schema version as a long.
`java.lang.String` | `getSchemaVersionString()` Gets the schema version as a string.
`boolean` | `getServerProperty(java.lang.String key, boolean defaultValue)` Gets the boolean value of the specified key from the service properties file.
`int` | `getServerProperty(java.lang.String key, int defaultValue)` Gets the integer value of the specified key from the service properties file.
`java.lang.String` | `getServerProperty(java.lang.String key, java.lang.String defaultValue)` Gets the string value of the specified key from the service properties file.
`TraceLogger` | `getTraceLogger()` Gets the TraceLogger of this S_LibraryService.
`static long` | `getVersionNumber()` Gets the version of this S_LibraryService as a long.
`static java.lang.String` | `getVersionString()` Gets the version of this S_LibraryService as a string.
`boolean` | `isTraced(int channel, int level)` Gets whether tracing is enabled for the specified channel and level.
`void` | `trace(int channel, int level, java.lang.String payload)` Issues a trace request to the trace logger.

Method Detail

### getId

    public java.lang.Long getId()
                         throws IfsException

  Gets the id of this S_LibraryService.
  Returns:
    the id
  Throws:
    `IfsException` - if the operation fails

### getVersionString

    public static final java.lang.String getVersionString()
                                                   throws IfsException

  Gets the version of this S_LibraryService as a string.
  Returns:
    the version
  Throws:
    `IfsException` - if the operation fails

### getVersionNumber

    public static final long getVersionNumber()
                                       throws IfsException

  Gets the version of this S_LibraryService as a long.
  Returns:
    the version
  Throws:
    `IfsException` - if the operation fails

### getSchemaVersionString

    public final java.lang.String getSchemaVersionString()
                                                  throws IfsException

  Gets the schema version as a string.
  Returns:
    the version
  Throws:
    `IfsException` - (IFS-20001) if the operation fails

### getSchemaVersionNumber

    public final long getSchemaVersionNumber()
                                      throws IfsException

  Gets the schema version as a long.
  Returns:
    the version
  Throws:
    `IfsException` - (IFS-20001) if the operation fails

### getServerProperty

    public java.lang.String getServerProperty(java.lang.String key,
                                              java.lang.String defaultValue)
                                       throws IfsException

  Gets the string value of the specified key from the service properties file.
  Parameters:
    `key` - the property name
    `defaultValue` - the default value
  Returns:
    the property value
  Throws:
    `IfsException` - if the operation fails

### getServerProperty

    public boolean getServerProperty(java.lang.String key,
                                     boolean defaultValue)
                              throws IfsException

  Gets the boolean value of the specified key from the service properties file.
  Parameters:
    `key` - the property name
    `defaultValue` - the default value
  Returns:
    the property value
  Throws:
    `IfsException` - if the operation fails

### getServerProperty

    public int getServerProperty(java.lang.String key,
                                 int defaultValue)
                          throws IfsException

  Gets the integer value of the specified key from the service properties file.
  Parameters:
    `key` - the property name
    `defaultValue` - the default value
  Returns:
    the property value
  Throws:
    `IfsException` - if the operation fails

### getTraceLogger

    public final TraceLogger getTraceLogger()
                                     throws IfsException

  Gets the TraceLogger of this S_LibraryService.
  Specified by:
    `getTraceLogger` in interface `Traceable`
  Returns:
    the trace logger
  Throws:
    `IfsException` - if the operation fails

### isTraced

    public final boolean isTraced(int channel,
                                  int level)
                           throws IfsException

  Gets whether tracing is enabled for the specified channel and level.
  Specified by:
    `isTraced` in interface `Traceable`
  Parameters:
    `channel` - the channel number
    `level` - the level
  Returns:
    whether tracing is enabled
  Throws:
    `IfsException` - (IFS-11201) if the channel is invalid

### trace

    public final void trace(int channel,
                            int level,
                            java.lang.String payload)

  Issues a trace request to the trace logger.
  Specified by:
    `trace` in interface `oracle.ifs.server.DatabaseService`
  Parameters:
    `channel` - the channel number
    `level` - the level
    `payload` - a string containing any additional information to be placed in the trace log

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD